<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: monitor_func::aget_mon_var Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemonitor__func.html">monitor_func</a></li><li class="navelem"><a class="el" href="interfacemonitor__func_1_1aget__mon__var.html">aget_mon_var</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interfacemonitor__func_1_1aget__mon__var-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">monitor_func::aget_mon_var Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for monitor_func::aget_mon_var:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="interfacemonitor__func_1_1aget__mon__var__coll__graph.png" border="0" usemap="#monitor__func_1_1aget__mon__var_coll__map" alt="Collaboration graph"/></div>
<map name="monitor__func_1_1aget__mon__var_coll__map" id="monitor__func_1_1aget__mon__var_coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad56d4a6c0705b3a36c449a38ca176d1a"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structmonitor__defs_1_1mon__var__.html">mon_var_</a>) function, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemonitor__func_1_1aget__mon__var.html#ad56d4a6c0705b3a36c449a38ca176d1a">aget_mon_var_o</a> (monitor, name, type_ch, register_to)</td></tr>
<tr class="separator:ad56d4a6c0705b3a36c449a38ca176d1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bf8dd2d4a6124d5761d6db8f2501c4a"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structmonitor__defs_1_1mon__var__.html">mon_var_</a>) function, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemonitor__func_1_1aget__mon__var.html#a3bf8dd2d4a6124d5761d6db8f2501c4a">aget_mon_var_i</a> (name, type_ch, register_to)</td></tr>
<tr class="separator:a3bf8dd2d4a6124d5761d6db8f2501c4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function/Subroutine Documentation</h2>
<a id="a3bf8dd2d4a6124d5761d6db8f2501c4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bf8dd2d4a6124d5761d6db8f2501c4a">&#9670;&nbsp;</a></span>aget_mon_var_i()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structmonitor__defs_1_1mon__var__.html">mon_var_</a>) function, pointer monitor_func::aget_mon_var::aget_mon_var_i </td>
          <td>(</td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>type_ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout), optional&#160;</td>
          <td class="paramname"><em>register_to</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad56d4a6c0705b3a36c449a38ca176d1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad56d4a6c0705b3a36c449a38ca176d1a">&#9670;&nbsp;</a></span>aget_mon_var_o()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structmonitor__defs_1_1mon__var__.html">mon_var_</a>) function, pointer monitor_func::aget_mon_var::aget_mon_var_o </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structmonitor__defs_1_1monitor__.html">monitor_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>monitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in), optional&#160;</td>
          <td class="paramname"><em>type_ch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout), optional&#160;</td>
          <td class="paramname"><em>register_to</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="monitor__func_8f90.html">monitor_func.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
